Skip to Content

Socket V5 Server — Test

8 endpoints

POST /socket/v5/server/test/started

Test Started Api

Server-to-client: test created.

Request body:

{ test_id: `string` }

Response:

`object`

POST /socket/v5/server/test/joined

Test Joined Api

Server-to-client: successfully joined a test room.

Request body:

{ invocation_id: `string` success?: `boolean` }

Response:

`object`

POST /socket/v5/server/test/run_start

Test Run Start Api

Server-to-client: run replay started.

Request body:

{ invocation_id: `string` run_id: `string` original_run_resource_id?: `string` | `null` current_run: `integer` total_runs: `integer` created_at: `string` }

Response:

`object`

POST /socket/v5/server/test/run_complete

Test Run Complete Api

Server-to-client: single run replay completed.

Request body:

{ invocation_id: `string` run_id: `string` original_run_resource_id?: `string` | `null` tool_calls?: `object`[] | `null` current_run: `integer` total_runs: `integer` remaining_runs: `integer` }

Response:

`object`

POST /socket/v5/server/test/progress

Test Progress Api

Server-to-client: test progress update.

Request body:

{ invocation_id: `string` type: `string` run_id?: `string` | `null` current_run?: `integer` | `null` total_runs?: `integer` | `null` message?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/test/graded

Test Graded Api

Server-to-client: grading completed.

Request body:

{ invocation_id: `string` grade_id?: `string` | `null` score?: `number` | `null` passed?: `boolean` | `null` feedback?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/test/error

Test Error Api

Server-to-client: test error.

Request body:

{ invocation_id?: `string` | `null` run_id?: `string` | `null` message: `string` error_type?: `string` | `null` }

Response:

`object`

POST /socket/v5/server/test/stopped

Test Stopped Api

Server-to-client: test execution stopped.

Request body:

{ invocation_id: `string` success?: `boolean` message?: `string` | `null` }

Response:

`object`

Last updated on